---
title: NDEFRecord.mediaType
slug: Web/API/NDEFRecord/mediaType
tags:
  - NDEF
  - Reference
  - Web NFC
---
<p>{{Draft}}{{securecontext_header}}{{SeeCompatTable}}{{APIRef()}}</p>

<p class="summary"><span class="seoSummary">The <strong><code>mediaType</code></strong> property ofthe {{DOMxRef("NDEFRecord")}} interface is {{DOMxRef("USVString")}} containing the {{Glossary("MIME type")}} of the record payload.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>NDEFRecord</em>.mediaType</pre>

<h3 id="Value">Value</h3>

<p>A {{DOMxRef("USVString")}}, corresponding to a {{Glossary("MIME type")}} of the record payload.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/web-nfc/#dom-ndefrecord-mediatype">Web NFC, NDEFRecord.mediaType</a></td>
   <td>Draft</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NDEFRecord.mediaType")}}</p>
